import './demo7.css';
import Overlay from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import { Button } from '../..';
ReactDOM.render(React.createElement("div", { id: "containerId", className: "overlay-container" },
    React.createElement(Overlay, { target: "containerId", visible: true, align: "br tl" },
        React.createElement(Button, null, "br tl")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "tc tc" },
        React.createElement(Button, null, "tc tc")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "bl tr" },
        React.createElement(Button, null, "bl tr")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "cr cr" },
        React.createElement(Button, null, "cr cr")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "br br" },
        React.createElement(Button, null, "br br")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "tc bc" },
        React.createElement(Button, null, "tc bc")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "bl bl" },
        React.createElement(Button, null, "bl bl")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "cl cl" },
        React.createElement(Button, null, "cl cl")),
    React.createElement(Overlay, { target: "containerId", visible: true, align: "cc cc" },
        React.createElement(Button, null, "cc cc"))), document.getElementById('overlay-demo-7'));
